## rtcom-eventlogger 0.79-2+0m5

=== debian/changelog ===
rtcom-eventlogger (0.79-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Tue, 22 Sep 2009 13:56:39 +0300

rtcom-eventlogger (0.79-2) unstable; urgency=low

  * Reverted non-license code change in the previous version

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 22 Sep 2009 00:32:14 +0200

rtcom-eventlogger (0.79-1) unstable; urgency=low

  * License changed to LGPL. Fixes: NB#137939

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 17 Sep 2009 17:32:25 +0200

rtcom-eventlogger (0.78-2) unstable; urgency=low

  * Don't ignore is_read state when adding a new event.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 07 Aug 2009 15:29:42 +0200

rtcom-eventlogger (0.78-1) unstable; urgency=low

  * Added rtcom_el_fire_event_updated() method, to be used by plugins to
    notify change in the transient event data.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 31 Jul 2009 14:33:26 +0200

rtcom-eventlogger (0.77-2) unstable; urgency=low

  * Sync with all other logger instances if reopening the database.
    Fixes: #128509

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 17 Jul 2009 19:05:14 +0200

rtcom-eventlogger (0.77-1) unstable; urgency=low

  * When accessing the database, retry to open it if it wasn't already
    opened.
  * Return RTCOM_EL_INTERNAL_ERROR instead of asserting when the database
    can't be opened. Fixes: NB#125442.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 14 Jul 2009 18:48:55 +0200

rtcom-eventlogger (0.76) unstable; urgency=low

  * (Not uploaded to Fremantle.)
  * Add rtcom_el_event_free_contents() method
  * Extend test coverage considerably and run tests with critical warnings
    made fatal
  * Don't try to fetch nonexistent DB column additional_text, fixing a
    critical warning in rtcom_el_iter_get()
  * Document that rtcom_el_iter_get() should receive a zero-filled struct
  * Fix rtcom_el_iter_get_int by correcting the sense of a check
  * RTComElIter: fix the sql property
  * rtcom_el_iter_refresh: if the iterator has finished, still allow
    refreshing
  * When contacts are not in the address book, assume that every
    (local account, remote contact) pair is a unique contact, so that
    contacts with the same identifier on different protocols are not assumed
    to be the same person (as they aren't necessarily)
  * RTComEl: add support for changing home directory via environment variable
    RTCOM_EL_HOME, for testing

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Thu, 09 Jul 2009 10:02:46 +0100

rtcom-eventlogger (0.75) fremantle; urgency=low

  * Non-maintainer upload.
  * Get the regression test working again, add support for running it under
    lcov or valgrind, and fix a couple of memory leaks discovered by
    valgrinding it.
  * Fixes: NB#108349 - rtcom_el_query_get_row leaks GValue structs
  * Build with automake 1.9 so the lcov/coverage support works correctly
  * Run `make check` during the package build so developers have no excuse
    to let the regression test start failing again :-)

 -- Simon McVittie <simon.mcvittie@collabora.co.uk>  Fri, 03 Jul 2009 13:49:12 +0100

rtcom-eventlogger (0.74-1) unstable; urgency=low

  * Temporarily disable journal while deleting events.
    Fixes: NB#103157.
  * Treat SQLITE_IOERR as disk full condition.
    Fixes: NB#107108.
  * Don't leak busy loop count variable.
    Fixes: NB#121884.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 26 Jun 2009 09:14:15 +0200

rtcom-eventlogger (0.73-2) unstable; urgency=low

  * Fix event insertion problems when the event IDs are reused.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 12 Jun 2009 16:11:26 +0200

rtcom-eventlogger (0.73-1) unstable; urgency=low

  * Implement group info cache for speeding up conversation loading.
    Fixes: NB#107196.
  * Use SYNCHRONOUS=OFF SQLite option to avoid fsyncs on every commit.
    Fixes: NB#120457.
  * Put db and plugin init in a single exclusive transaction.
    Fixes: NB#117862.
  * Using exclusive transaction for event insertion so that the SQL
    statement could be retried.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 12 Jun 2009 14:17:08 +0200

rtcom-eventlogger (0.72-2) unstable; urgency=low

  * Fix expected SQLite error codes when retrieving event
    attachments. Fixes: NB#119704, NB#119628.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 03 Jun 2009 14:47:17 +0200

rtcom-eventlogger (0.72-1) unstable; urgency=low

  * Actually set RTCOM_EL_DATABASE_FULL error if db/disk is full.
    Fixes: NB#107108.
  * New method for updating contact data. Fixes: NB#103180.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Mon, 25 May 2009 17:33:37 +0200

rtcom-eventlogger (0.71-1) unstable; urgency=low

  * New API for atomic event reading.
  * Time bounds on all sqlite busyloops. Fixes: NB#107189.
  * Don't treat SQL busy error as fatal when attempting to create
    the database: Fixes: NB#113990.
  * Remove DBus filter when disposing the eventlogger.
    Fixes: NB#116603, NB#117041.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 21 May 2009 10:52:40 +0200

rtcom-eventlogger (0.70-2) unstable; urgency=low

  * Gracefully handle dbus events after eventlogger object is disposed.
    Fixes: NB#111602.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 30 Apr 2009 08:09:18 +0200

rtcom-eventlogger (0.70-1) unstable; urgency=low

  * New atomic event addition API.
  * New error codes for event addition. Fixes: NB#107108.
  * Code logic fixes. Fixes: NB#102635, NB#110820.
  * Don't leak GValue strings in event iterator. Fixes: NB#108349.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 28 Apr 2009 06:37:15 +0200

rtcom-eventlogger (0.69-3) unstable; urgency=low

  * Fix computing the number of unread events in group. Fixes: NB#108086.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Sat, 28 Mar 2009 11:32:42 +0100


