## rtcom-eventlogger 0.80-5+0m5

=== debian/changelog ===
rtcom-eventlogger (0.80-5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- reto zingg <reto.zingg@nokia.com>  Thu, 19 Nov 2009 12:24:36 +0200

rtcom-eventlogger (0.80-5) unstable; urgency=low

  * Don't force UI refresh on no-op DbReopen signals
  * Use DB versioning and only attempt db create/upgrade if it's needed.
  * Fixes: NB#146873

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 18 Nov 2009 14:58:54 +0100

rtcom-eventlogger (0.80-4) unstable; urgency=low

  * disablde checks to build on BIFH

 -- Reto Zingg <reto.zingg@nokia.com>  Mon, 16 Nov 2009 10:40:06 +0200

rtcom-eventlogger (0.80-3) unstable; urgency=low

  * Properly handle old backups in the restore script. Fixes: NB#145820.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Mon, 09 Nov 2009 16:33:46 +0100

rtcom-eventlogger (0.80-2) unstable; urgency=low

  * Fixed group cache table updating on event deletion.
    Fixes: NB#139025, NB#139868.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 23 Oct 2009 12:21:43 +0200

rtcom-eventlogger (0.80-1) unstable; urgency=low

  * Refactored SQL code into db.[ch] and added extra
    tests. Fixes: NB#107189.
  * VCard attachments are now backed up. Fixes: NB139922.
  * Fixed conversation flags update in group cache.
    Fixes: NB#140458, NB#140812.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 14 Oct 2009 16:43:15 +0200
