=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
-DEB_MAKE_CHECK_TARGET=check
+# DEB_MAKE_CHECK_TARGET=check
 
 DEB_DH_INSTALL_SOURCEDIR=debian/tmp
 DEB_DESTDIR=$(CURDIR)/debian/tmp
