## rtcom-eventlogger 1.3-4+0m5

=== debian/changelog ===
rtcom-eventlogger (1.3-4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.3-4+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Thu, 04 Mar 2010 11:36:35 +0200

rtcom-eventlogger (1.3-4) unstable; urgency=low

  * Fix double-free crash when eventlogger directory can't be
    created. Fixes: NB#158726
  * Remove temporary backup files from ~/.rtcom-eventlogger to prevent them being
    used on next restore when "Communication and Calendar" is NOT selected.
  * Do not restore the database if it is not in the list of files to restore.
    Fixes: NB#158351

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 03 Mar 2010 10:29:07 +0100

rtcom-eventlogger (1.3-3) unstable; urgency=low

  * Fixes: NB#154356 - SSU update is not happening from PR1.1.1 to PR1.2
    librtcom-eventlogger1 depends now on librtcom-eventlogger0 so SSU
    works and HAM is happy. This breaks any 3th party app which depends
    on librtcom-eventlogger0 which thinks its dependency is fulfilled!

 -- Reto Zingg <reto.zingg@nokia.com>  Wed, 03 Feb 2010 14:57:04 +0200

rtcom-eventlogger (1.3-1) unstable; urgency=low

  * Providing a transitional dummy package for librtcom-eventlogger0 to
    librtcom-eventlogger1 transition. Fixes: NB#154356

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 26 Jan 2010 11:22:35 +0100

rtcom-eventlogger (1.2-1) unstable; urgency=low

  * New batch contact update API. Fixes: NB#152997

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 13 Jan 2010 10:52:59 +0100

rtcom-eventlogger (1.1-3) unstable; urgency=low

  * Use correct database filename when backing it up.
    Fixes: NB#151750

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Mon, 04 Jan 2010 18:56:42 +0100

rtcom-eventlogger (1.1-2) unstable; urgency=low

  * New package librtcom-eventlogger-doc containing autogenerated
    API documentation
  * Use SIGKILL to kill apps when doing restore (thanks, MUI).
    Fixes: NB#142172.
  * When restoring old format database, make sure it's converted instead
    of ignoring it and using new (to be overwritten) database.
  * When upgrading database, take care to remove any obsolete triggers.
    Fixes: NB#150298.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 18 Dec 2009 17:05:58 +0100

rtcom-eventlogger (1.1-1.1) unstable; urgency=low

  * Release with updated source version in configure.ac

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 08 Dec 2009 11:21:16 +0100

rtcom-eventlogger (1.1-1) unstable; urgency=low

  * Added rtcom_el_get_shared() method. Fixes: NB#149346.
  * Added new RTComElIter API methods and deprecated obsolete ones.
    Fixes: NB#147505.
  * Fixed several memory leaks.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Mon, 07 Dec 2009 16:01:50 +0100

rtcom-eventlogger (1.0-1.2) unstable; urgency=low

  * Marked as Provides librtcom-eventlogger0 for BIFH recompile bootstrapping

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Wed, 25 Nov 2009 02:06:35 +0100

rtcom-eventlogger (1.0-1.1) unstable; urgency=low

  * librtcom-eventlogger1 Conflicts/Replaces librtcom-eventlogger0

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue, 24 Nov 2009 15:52:27 +0100

rtcom-eventlogger (1.0-1) unstable; urgency=low

  * Database format changed (event direction no longer encoded in
    event type).
  * API and ABI break. Binary package renamed to rtcom-eventlogger1
  * Started using libtool versioning
  * Support for additional MUC flags and event types

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 20 Nov 2009 11:27:07 +0100
