=== debian/control ===
Source: rtcom-eventlogger
Priority: extra
Maintainer: Senko Rasic <senko.rasic@collabora.co.uk>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libglib2.0-dev, libsqlite3-dev, libdbus-1-dev, check, dbus, doxygen
Standards-Version: 3.7.2
Section: libs

Package: librtcom-eventlogger1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librtcom-eventlogger0 (= ${Source-Version})
Description: Event Logger Library.
  Event Logger Library.

Package: librtcom-eventlogger1-dbg
Section: libdevel
Architecture: any
Depends: librtcom-eventlogger1 (= ${Source-Version})
Description: Event Logger Library. Debug symbols
  Event Logger Library.
  .
  Debug symbols

Package: librtcom-eventlogger0
Section: libs
Architecture: any
Description: Event Logger Library (transitional dummy package)
  Transitional dummy package to ensure SSU and migration to librtcom-eventlogger1
  .
  If your application depends on librtcom-eventlogger0, it will stop working.
  Please port it to librtcom-eventlogger1. The eventlogger documentation
  explains what the changes are and how to port your application.

Package: librtcom-eventlogger0-dbg
Section: libdevel
Architecture: any
Depends: librtcom-eventlogger0 (= ${Source-Version})
Description: Event Logger Library, debug symbols (transitional dummy package)
  Transitional dummy package to ensure SSU and migration to librtcom-eventlogger1
  .
  If your application depends on librtcom-eventlogger0, it will stop working.
  Please port it to librtcom-eventlogger1. The eventlogger documentation
  explains what the changes are and how to port your application.

Package: librtcom-eventlogger-dev
Section: libdevel
Architecture: any
Depends: librtcom-eventlogger1 (= ${Source-Version}), libsqlite3-dev
Description: Event Logger Library. Development files.
  Event Logger Library. 
  .
  Development files.

Package: librtcom-eventlogger-testsuite
Section: devel
Architecture: any
XB-Testing-metadata: 
 <testinfo> 
 <target package="librtcom-eventlogger1" version="0.61+" />
 <device id="0" />
 <set type="unit" id="0" name="eventloggerset" timeout="10000">
   <case id="1" name="test_init" />
   <case id="2" name="test_add_event" />
   <case id="3" name="test_header" />
   <case id="4" name="test_attach" />
   <case id="5" name="test_read" />
   <case id="6" name="test_count" />
   <case id="7" name="test_get" />
   <case id="8" name="test_unique_remotes" />
   <case id="9" name="test_get_string" />
   <case id="10" name="test_ends_with" />
   <case id="11" name="test_delete_events" />
 </set>
 </testinfo>
Depends: librtcom-eventlogger1 (= ${Source-Version}), ${shlibs:Depends}
Description: Event Logger Library. Unit tests
 Event Logger Library.
 .
 Unit tests

Package: rtcom-eventlogger-client
Section: devel
Architecture: any
Depends: librtcom-eventlogger1 (= ${Source-Version}), ${shlibs:Depends}
Description: Event Logger command line client.
  The Event Logger command line client can be used to add, remove and edit
  events from the command line.

Package: librtcom-eventlogger-doc
Section: doc
Architecture: any
Description: Event Logger Library, API documentation.
  API documentation for the event logger library.
