=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_DH_INSTALL_SOURCEDIR=debian/tmp
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_DH_STRIP_ARGS=--dbg-package=librtcom-eventlogger0
+DEB_DH_STRIP_ARGS=--dbg-package=librtcom-eventlogger1
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	DEB_CONFIGURE_EXTRA_FLAGS+=--enable-debug
@@ -47,7 +47,7 @@
 endif
 DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)
 
-makebuilddir/librtcom-eventlogger0::
+makebuilddir/librtcom-eventlogger1::
 	ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
 
 install/librtcom-eventlogger-testsuite::
