## rtcom-eventlogger 1.4-2+0m5

=== debian/changelog ===
rtcom-eventlogger (1.4-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4-2+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Mon, 03 May 2010 15:36:01 +0300

rtcom-eventlogger (1.4-2) unstable; urgency=low

  * Don't kill apps using EL during restore. Fixes: NB#161548

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Mon, 03 May 2010 14:07:34 +0200

rtcom-eventlogger (1.4-1) unstable; urgency=low

  * Fixes: NB#161350 -  eventlogger may block UI (by means of lowering cache
    size to 128 pages.

 -- Salvatore Iovene <salvatore.iovene@nokia.com>  Thu,  8 Apr 2010 16:04:53 +0300
