## rtcom-eventlogger 1.4-4+0m5

=== debian/changelog ===
rtcom-eventlogger (1.4-4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.4-4+0m5

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Thu, 17 Jun 2010 14:06:05 +0300

rtcom-eventlogger (1.4-4) unstable; urgency=low

  * Bumping up the version

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 17 Jun 2010 14:06:14 +0300

rtcom-eventlogger (1.4-3) unstable; urgency=low

  * Disable runtime cast checks in non-debug builds. Fixes: NB#162684
  * Perform database format upgrade in a temporary file. Addesses: NB#167023

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Mon, 07 Jun 2010 14:21:14 +0200
