=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,11 @@
 	DEB_CONFIGURE_EXTRA_FLAGS+=--disable-checks
 endif
 
+# Disable cast checks
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -DG_DISABLE_CAST_CHECKS
+endif
+
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
